FORMS(3)

NAME
form_sub, form_win, scale_form, set_form_sub, set_form_win - form library

LIBRARY
libform

SYNOPSIS
#include <form.h>
WINDOW *
form_sub(FORM *form);
WINDOW *
form_win(FORM *form);
int
scale_form(FORM *form, int *rows, int *cols);
int
set_form_sub(FORM *form, WINDOW *window);
int
set_form_win(FORM *form, WINDOW *window);

DESCRIPTION
All output to the screen done by the forms library is handled by the curses library routines. By default, the forms library will output to the curses stdscr, but if the forms window has been set via set_form_win() then output will be sent to the window specified by set_form_win(), unless the forms subwindow has been set using set_form_sub(). If a subwindow has been specified using set_form_sub() then it will be used by the forms library to for screen output. The current setting for the form window can be retrieved by calling form_win(). If the forms window has not been set then NULL will be returned. Similarly, the forms subwindow can be found by calling the form_sub() function, again, if the subwindow has not been set then NULL will be returned. The scale_form() function will return the minimum number of rows and columns that will entirely contain the given form.

RETURN VALUES
Functions returning pointers will return NULL if an error is detected. The functions that return an int will return one of the following error values:

E_OK
    The function was successful.
E_NOT_CONNECTED
    The form has no fields connected to it.
E_POSTED
    The form is posted to the screen.

SEE ALSO
curses(3), forms(3)

NOTES
The header <form.h> automatically includes both <curses.h> and <eti.h>.